Upstream information

CVE-2011-4153 at MITRE

Description

PHP 5.3.8 does not always check the return value of the zend_strndup function, which might allow remote attackers to cause a denial of service (NULL pointer dereference and application crash) via crafted input to an application that performs strndup operations on untrusted string data, as demonstrated by the define function in zend_builtin_functions.c, and unspecified functions in ext/soap/php_sdl.c, ext/standard/syslog.c, ext/standard/browscap.c, ext/oci8/oci8.c, ext/com_dotnet/com_typeinfo.c, and main/php_open_temporary_file.c.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 733590 [RESOLVED / FIXED], 736169 [RESOLVED / FIXED], 738221 [RESOLVED / FIXED], 741520 [RESOLVED / FIXED], 741859 [RESOLVED / FIXED], 742273 [RESOLVED / FIXED], 742806 [RESOLVED / FIXED], 743308 [RESOLVED / FIXED], 744966 [RESOLVED / FIXED], 746661 [RESOLVED / FIXED], 749111 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Software Development Kit 11 SP2
  • php53-devel >= 5.3.8-0.23.1
  • php53-imap >= 5.3.8-0.23.1
  • php53-posix >= 5.3.8-0.23.1
  • php53-readline >= 5.3.8-0.23.1
  • php53-sockets >= 5.3.8-0.23.1
  • php53-sqlite >= 5.3.8-0.23.1
  • php53-tidy >= 5.3.8-0.23.1
Patchnames:
sdksp2-apache2-mod_php53
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • php53-devel >= 5.3.17-0.41.1
  • php53-imap >= 5.3.17-0.41.1
  • php53-posix >= 5.3.17-0.41.1
  • php53-readline >= 5.3.17-0.41.1
  • php53-sockets >= 5.3.17-0.41.1
  • php53-sqlite >= 5.3.17-0.41.1
  • php53-tidy >= 5.3.17-0.41.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA php53-devel-5.3.17-0.41.1
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • php5-devel >= 5.5.14-39.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA php5-devel-5.5.14-39.1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • php5-devel >= 5.5.14-73.1
  • php7-devel >= 7.0.7-15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA php5-devel-5.5.14-73.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA php7-devel-7.0.7-15.1
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • php5-devel >= 5.5.14-108.1
  • php7-devel >= 7.0.7-49.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA php5-devel-5.5.14-108.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA php7-devel-7.0.7-49.1
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • php5-devel >= 5.5.14-109.41.1
  • php7-devel >= 7.0.7-50.52.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA php5-devel-5.5.14-109.41.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA php7-devel-7.0.7-50.52.1
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
SUSE Linux Enterprise Software Development Kit 12
  • php5-devel >= 5.5.14-4.20
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA php5-devel-5.5.14-4.20
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • apache2-mod_php53 >= 5.3.8-0.23.1
  • php53 >= 5.3.8-0.23.1
  • php53-bcmath >= 5.3.8-0.23.1
  • php53-bz2 >= 5.3.8-0.23.1
  • php53-calendar >= 5.3.8-0.23.1
  • php53-ctype >= 5.3.8-0.23.1
  • php53-curl >= 5.3.8-0.23.1
  • php53-dba >= 5.3.8-0.23.1
  • php53-devel >= 5.3.8-0.23.1
  • php53-dom >= 5.3.8-0.23.1
  • php53-exif >= 5.3.8-0.23.1
  • php53-fastcgi >= 5.3.8-0.23.1
  • php53-fileinfo >= 5.3.8-0.23.1
  • php53-ftp >= 5.3.8-0.23.1
  • php53-gd >= 5.3.8-0.23.1
  • php53-gettext >= 5.3.8-0.23.1
  • php53-gmp >= 5.3.8-0.23.1
  • php53-iconv >= 5.3.8-0.23.1
  • php53-imap >= 5.3.8-0.23.1
  • php53-intl >= 5.3.8-0.23.1
  • php53-json >= 5.3.8-0.23.1
  • php53-ldap >= 5.3.8-0.23.1
  • php53-mbstring >= 5.3.8-0.23.1
  • php53-mcrypt >= 5.3.8-0.23.1
  • php53-mysql >= 5.3.8-0.23.1
  • php53-odbc >= 5.3.8-0.23.1
  • php53-openssl >= 5.3.8-0.23.1
  • php53-pcntl >= 5.3.8-0.23.1
  • php53-pdo >= 5.3.8-0.23.1
  • php53-pear >= 5.3.8-0.23.1
  • php53-pgsql >= 5.3.8-0.23.1
  • php53-posix >= 5.3.8-0.23.1
  • php53-pspell >= 5.3.8-0.23.1
  • php53-readline >= 5.3.8-0.23.1
  • php53-shmop >= 5.3.8-0.23.1
  • php53-snmp >= 5.3.8-0.23.1
  • php53-soap >= 5.3.8-0.23.1
  • php53-sockets >= 5.3.8-0.23.1
  • php53-sqlite >= 5.3.8-0.23.1
  • php53-suhosin >= 5.3.8-0.23.1
  • php53-sysvmsg >= 5.3.8-0.23.1
  • php53-sysvsem >= 5.3.8-0.23.1
  • php53-sysvshm >= 5.3.8-0.23.1
  • php53-tidy >= 5.3.8-0.23.1
  • php53-tokenizer >= 5.3.8-0.23.1
  • php53-wddx >= 5.3.8-0.23.1
  • php53-xmlreader >= 5.3.8-0.23.1
  • php53-xmlrpc >= 5.3.8-0.23.1
  • php53-xmlwriter >= 5.3.8-0.23.1
  • php53-xsl >= 5.3.8-0.23.1
  • php53-zip >= 5.3.8-0.23.1
  • php53-zlib >= 5.3.8-0.23.1
Patchnames:
sdksp2-apache2-mod_php53
slessp2-apache2-mod_php53
SUSE Linux Enterprise Server 11 SP3
  • apache2-mod_php53 >= 5.3.17-0.13.7
  • php53 >= 5.3.17-0.13.7
  • php53-bcmath >= 5.3.17-0.13.7
  • php53-bz2 >= 5.3.17-0.13.7
  • php53-calendar >= 5.3.17-0.13.7
  • php53-ctype >= 5.3.17-0.13.7
  • php53-curl >= 5.3.17-0.13.7
  • php53-dba >= 5.3.17-0.13.7
  • php53-dom >= 5.3.17-0.13.7
  • php53-exif >= 5.3.17-0.13.7
  • php53-fastcgi >= 5.3.17-0.13.7
  • php53-fileinfo >= 5.3.17-0.13.7
  • php53-ftp >= 5.3.17-0.13.7
  • php53-gd >= 5.3.17-0.13.7
  • php53-gettext >= 5.3.17-0.13.7
  • php53-gmp >= 5.3.17-0.13.7
  • php53-iconv >= 5.3.17-0.13.7
  • php53-intl >= 5.3.17-0.13.7
  • php53-json >= 5.3.17-0.13.7
  • php53-ldap >= 5.3.17-0.13.7
  • php53-mbstring >= 5.3.17-0.13.7
  • php53-mcrypt >= 5.3.17-0.13.7
  • php53-mysql >= 5.3.17-0.13.7
  • php53-odbc >= 5.3.17-0.13.7
  • php53-openssl >= 5.3.17-0.13.7
  • php53-pcntl >= 5.3.17-0.13.7
  • php53-pdo >= 5.3.17-0.13.7
  • php53-pear >= 5.3.17-0.13.7
  • php53-pgsql >= 5.3.17-0.13.7
  • php53-pspell >= 5.3.17-0.13.7
  • php53-shmop >= 5.3.17-0.13.7
  • php53-snmp >= 5.3.17-0.13.7
  • php53-soap >= 5.3.17-0.13.7
  • php53-suhosin >= 5.3.17-0.13.7
  • php53-sysvmsg >= 5.3.17-0.13.7
  • php53-sysvsem >= 5.3.17-0.13.7
  • php53-sysvshm >= 5.3.17-0.13.7
  • php53-tokenizer >= 5.3.17-0.13.7
  • php53-wddx >= 5.3.17-0.13.7
  • php53-xmlreader >= 5.3.17-0.13.7
  • php53-xmlrpc >= 5.3.17-0.13.7
  • php53-xmlwriter >= 5.3.17-0.13.7
  • php53-xsl >= 5.3.17-0.13.7
  • php53-zip >= 5.3.17-0.13.7
  • php53-zlib >= 5.3.17-0.13.7
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA apache2-mod_php53-5.3.17-0.13.7
SUSE Linux Enterprise Server 11 SP4
  • apache2-mod_php53 >= 5.3.17-0.41.1
  • php53 >= 5.3.17-0.41.1
  • php53-bcmath >= 5.3.17-0.41.1
  • php53-bz2 >= 5.3.17-0.41.1
  • php53-calendar >= 5.3.17-0.41.1
  • php53-ctype >= 5.3.17-0.41.1
  • php53-curl >= 5.3.17-0.41.1
  • php53-dba >= 5.3.17-0.41.1
  • php53-devel >= 5.3.17-0.41.1
  • php53-dom >= 5.3.17-0.41.1
  • php53-exif >= 5.3.17-0.41.1
  • php53-fastcgi >= 5.3.17-0.41.1
  • php53-fileinfo >= 5.3.17-0.41.1
  • php53-ftp >= 5.3.17-0.41.1
  • php53-gd >= 5.3.17-0.41.1
  • php53-gettext >= 5.3.17-0.41.1
  • php53-gmp >= 5.3.17-0.41.1
  • php53-iconv >= 5.3.17-0.41.1
  • php53-imap >= 5.3.17-0.41.1
  • php53-intl >= 5.3.17-0.41.1
  • php53-json >= 5.3.17-0.41.1
  • php53-ldap >= 5.3.17-0.41.1
  • php53-mbstring >= 5.3.17-0.41.1
  • php53-mcrypt >= 5.3.17-0.41.1
  • php53-mysql >= 5.3.17-0.41.1
  • php53-odbc >= 5.3.17-0.41.1
  • php53-openssl >= 5.3.17-0.41.1
  • php53-pcntl >= 5.3.17-0.41.1
  • php53-pdo >= 5.3.17-0.41.1
  • php53-pear >= 5.3.17-0.41.1
  • php53-pgsql >= 5.3.17-0.41.1
  • php53-posix >= 5.3.17-0.41.1
  • php53-pspell >= 5.3.17-0.41.1
  • php53-readline >= 5.3.17-0.41.1
  • php53-shmop >= 5.3.17-0.41.1
  • php53-snmp >= 5.3.17-0.41.1
  • php53-soap >= 5.3.17-0.41.1
  • php53-sockets >= 5.3.17-0.41.1
  • php53-sqlite >= 5.3.17-0.41.1
  • php53-suhosin >= 5.3.17-0.41.1
  • php53-sysvmsg >= 5.3.17-0.41.1
  • php53-sysvsem >= 5.3.17-0.41.1
  • php53-sysvshm >= 5.3.17-0.41.1
  • php53-tidy >= 5.3.17-0.41.1
  • php53-tokenizer >= 5.3.17-0.41.1
  • php53-wddx >= 5.3.17-0.41.1
  • php53-xmlreader >= 5.3.17-0.41.1
  • php53-xmlrpc >= 5.3.17-0.41.1
  • php53-xmlwriter >= 5.3.17-0.41.1
  • php53-xsl >= 5.3.17-0.41.1
  • php53-zip >= 5.3.17-0.41.1
  • php53-zlib >= 5.3.17-0.41.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA apache2-mod_php53-5.3.17-0.41.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA php53-devel-5.3.17-0.41.1
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • php7-devel >= 7.0.7-50.85.1
  • php72-devel >= 7.2.5-1.26.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA php7-devel-7.0.7-50.85.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA php72-devel-7.2.5-1.26.1
openSUSE Leap 15.0
  • apache2-mod_php7 >= 7.2.5-lp150.1.7
  • php7 >= 7.2.5-lp150.1.7
  • php7-ctype >= 7.2.5-lp150.1.7
  • php7-dom >= 7.2.5-lp150.1.7
  • php7-iconv >= 7.2.5-lp150.1.7
  • php7-json >= 7.2.5-lp150.1.7
  • php7-mysql >= 7.2.5-lp150.1.7
  • php7-pdo >= 7.2.5-lp150.1.7
  • php7-pgsql >= 7.2.5-lp150.1.7
  • php7-sqlite >= 7.2.5-lp150.1.7
  • php7-tokenizer >= 7.2.5-lp150.1.7
  • php7-xmlreader >= 7.2.5-lp150.1.7
  • php7-xmlwriter >= 7.2.5-lp150.1.7
Patchnames:
openSUSE Leap 15.0 GA apache2-mod_php7-7.2.5-lp150.1.7
openSUSE Tumbleweed
  • apache2-mod_php5 >= 5.6.28-1.1
  • apache2-mod_php7 >= 7.0.14-1.4
  • php5 >= 5.6.28-1.1
  • php5-bcmath >= 5.6.28-1.1
  • php5-bz2 >= 5.6.28-1.1
  • php5-calendar >= 5.6.28-1.1
  • php5-ctype >= 5.6.28-1.1
  • php5-curl >= 5.6.28-1.1
  • php5-dba >= 5.6.28-1.1
  • php5-devel >= 5.6.28-1.1
  • php5-dom >= 5.6.28-1.1
  • php5-enchant >= 5.6.28-1.1
  • php5-exif >= 5.6.28-1.1
  • php5-fastcgi >= 5.6.28-1.1
  • php5-fileinfo >= 5.6.28-1.1
  • php5-firebird >= 5.6.28-1.1
  • php5-fpm >= 5.6.28-1.1
  • php5-ftp >= 5.6.28-1.1
  • php5-gd >= 5.6.28-1.1
  • php5-gettext >= 5.6.28-1.1
  • php5-gmp >= 5.6.28-1.1
  • php5-iconv >= 5.6.28-1.1
  • php5-imap >= 5.6.28-1.1
  • php5-intl >= 5.6.28-1.1
  • php5-json >= 5.6.28-1.1
  • php5-ldap >= 5.6.28-1.1
  • php5-mbstring >= 5.6.28-1.1
  • php5-mcrypt >= 5.6.28-1.1
  • php5-mssql >= 5.6.28-1.1
  • php5-mysql >= 5.6.28-1.1
  • php5-odbc >= 5.6.28-1.1
  • php5-opcache >= 5.6.28-1.1
  • php5-openssl >= 5.6.28-1.1
  • php5-pcntl >= 5.6.28-1.1
  • php5-pdo >= 5.6.28-1.1
  • php5-pear >= 5.6.28-1.1
  • php5-pear-Archive_Tar >= 5.6.28-1.1
  • php5-pgsql >= 5.6.28-1.1
  • php5-phar >= 5.6.28-1.1
  • php5-posix >= 5.6.28-1.1
  • php5-pspell >= 5.6.28-1.1
  • php5-readline >= 5.6.28-1.1
  • php5-shmop >= 5.6.28-1.1
  • php5-snmp >= 5.6.28-1.1
  • php5-soap >= 5.6.28-1.1
  • php5-sockets >= 5.6.28-1.1
  • php5-sqlite >= 5.6.28-1.1
  • php5-suhosin >= 5.6.28-1.1
  • php5-sysvmsg >= 5.6.28-1.1
  • php5-sysvsem >= 5.6.28-1.1
  • php5-sysvshm >= 5.6.28-1.1
  • php5-tidy >= 5.6.28-1.1
  • php5-tokenizer >= 5.6.28-1.1
  • php5-wddx >= 5.6.28-1.1
  • php5-xmlreader >= 5.6.28-1.1
  • php5-xmlrpc >= 5.6.28-1.1
  • php5-xmlwriter >= 5.6.28-1.1
  • php5-xsl >= 5.6.28-1.1
  • php5-zip >= 5.6.28-1.1
  • php5-zlib >= 5.6.28-1.1
  • php7 >= 7.0.14-1.4
  • php7-bcmath >= 7.0.14-1.4
  • php7-bz2 >= 7.0.14-1.4
  • php7-calendar >= 7.0.14-1.4
  • php7-ctype >= 7.0.14-1.4
  • php7-curl >= 7.0.14-1.4
  • php7-dba >= 7.0.14-1.4
  • php7-devel >= 7.0.14-1.4
  • php7-dom >= 7.0.14-1.4
  • php7-enchant >= 7.0.14-1.4
  • php7-exif >= 7.0.14-1.4
  • php7-fastcgi >= 7.0.14-1.4
  • php7-fileinfo >= 7.0.14-1.4
  • php7-firebird >= 7.0.14-1.4
  • php7-fpm >= 7.0.14-1.4
  • php7-ftp >= 7.0.14-1.4
  • php7-gd >= 7.0.14-1.4
  • php7-gettext >= 7.0.14-1.4
  • php7-gmp >= 7.0.14-1.4
  • php7-iconv >= 7.0.14-1.4
  • php7-imap >= 7.0.14-1.4
  • php7-intl >= 7.0.14-1.4
  • php7-json >= 7.0.14-1.4
  • php7-ldap >= 7.0.14-1.4
  • php7-mbstring >= 7.0.14-1.4
  • php7-mcrypt >= 7.0.14-1.4
  • php7-mysql >= 7.0.14-1.4
  • php7-odbc >= 7.0.14-1.4
  • php7-opcache >= 7.0.14-1.4
  • php7-openssl >= 7.0.14-1.4
  • php7-pcntl >= 7.0.14-1.4
  • php7-pdo >= 7.0.14-1.4
  • php7-pear >= 7.0.14-1.4
  • php7-pear-Archive_Tar >= 7.0.14-1.4
  • php7-pgsql >= 7.0.14-1.4
  • php7-phar >= 7.0.14-1.4
  • php7-posix >= 7.0.14-1.4
  • php7-pspell >= 7.0.14-1.4
  • php7-readline >= 7.0.14-1.4
  • php7-shmop >= 7.0.14-1.4
  • php7-snmp >= 7.0.14-1.4
  • php7-soap >= 7.0.14-1.4
  • php7-sockets >= 7.0.14-1.4
  • php7-sqlite >= 7.0.14-1.4
  • php7-sysvmsg >= 7.0.14-1.4
  • php7-sysvsem >= 7.0.14-1.4
  • php7-sysvshm >= 7.0.14-1.4
  • php7-tidy >= 7.0.14-1.4
  • php7-tokenizer >= 7.0.14-1.4
  • php7-wddx >= 7.0.14-1.4
  • php7-xmlreader >= 7.0.14-1.4
  • php7-xmlrpc >= 7.0.14-1.4
  • php7-xmlwriter >= 7.0.14-1.4
  • php7-xsl >= 7.0.14-1.4
  • php7-zip >= 7.0.14-1.4
  • php7-zlib >= 7.0.14-1.4
  • php8 >= 8.0.11-1.1
  • php8-bcmath >= 8.0.11-1.1
  • php8-bz2 >= 8.0.11-1.1
  • php8-calendar >= 8.0.11-1.1
  • php8-cli >= 8.0.11-1.1
  • php8-ctype >= 8.0.11-1.1
  • php8-curl >= 8.0.11-1.1
  • php8-dba >= 8.0.11-1.1
  • php8-devel >= 8.0.11-1.1
  • php8-dom >= 8.0.11-1.1
  • php8-enchant >= 8.0.11-1.1
  • php8-exif >= 8.0.11-1.1
  • php8-fileinfo >= 8.0.11-1.1
  • php8-ftp >= 8.0.11-1.1
  • php8-gd >= 8.0.11-1.1
  • php8-gettext >= 8.0.11-1.1
  • php8-gmp >= 8.0.11-1.1
  • php8-iconv >= 8.0.11-1.1
  • php8-intl >= 8.0.11-1.1
  • php8-ldap >= 8.0.11-1.1
  • php8-mbstring >= 8.0.11-1.1
  • php8-mysql >= 8.0.11-1.1
  • php8-odbc >= 8.0.11-1.1
  • php8-opcache >= 8.0.11-1.1
  • php8-openssl >= 8.0.11-1.1
  • php8-pcntl >= 8.0.11-1.1
  • php8-pdo >= 8.0.11-1.1
  • php8-pgsql >= 8.0.11-1.1
  • php8-phar >= 8.0.11-1.1
  • php8-posix >= 8.0.11-1.1
  • php8-readline >= 8.0.11-1.1
  • php8-shmop >= 8.0.11-1.1
  • php8-snmp >= 8.0.11-1.1
  • php8-soap >= 8.0.11-1.1
  • php8-sockets >= 8.0.11-1.1
  • php8-sodium >= 8.0.11-1.1
  • php8-sqlite >= 8.0.11-1.1
  • php8-sysvmsg >= 8.0.11-1.1
  • php8-sysvsem >= 8.0.11-1.1
  • php8-sysvshm >= 8.0.11-1.1
  • php8-tidy >= 8.0.11-1.1
  • php8-tokenizer >= 8.0.11-1.1
  • php8-xmlreader >= 8.0.11-1.1
  • php8-xmlwriter >= 8.0.11-1.1
  • php8-xsl >= 8.0.11-1.1
  • php8-zip >= 8.0.11-1.1
  • php8-zlib >= 8.0.11-1.1
Patchnames:
openSUSE Tumbleweed GA apache2-mod_php5-5.6.28-1.1
openSUSE Tumbleweed GA apache2-mod_php7-7.0.14-1.4
openSUSE Tumbleweed GA php8-8.0.11-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise High Performance Computing 12 php5 Affected
SUSE Linux Enterprise High Performance Computing 12 php7 Affected
SUSE Linux Enterprise High Performance Computing 12 php72 Affected
SUSE Linux Enterprise High Performance Computing 12 php74 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 php8 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP5 php8 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 12 php5 Affected
SUSE Linux Enterprise Module for Web and Scripting 12 php7 Affected
SUSE Linux Enterprise Module for Web and Scripting 12 php72 Affected
SUSE Linux Enterprise Module for Web and Scripting 12 php74 Affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP4 php8 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 SP5 php8 Already fixed
SUSE Linux Enterprise Server 12 SP5 php5 Affected
SUSE Linux Enterprise Server 12 SP5 php7 Affected
SUSE Linux Enterprise Server 12 SP5 php72 Affected
SUSE Linux Enterprise Server 12 SP5 php74 Affected
SUSE Linux Enterprise Server 15 SP4 php8 Already fixed
SUSE Linux Enterprise Server 15 SP5 php8 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 php8 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 php8 Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP5 php72 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP5 php74 Affected
SUSE Manager Proxy 4.3 php8 Already fixed
SUSE Manager Retail Branch Server 4.3 php8 Already fixed
SUSE Manager Server 4.3 php8 Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Server 12 SP4 php5 Affected
SUSE Linux Enterprise Server 12 SP4 php7 Affected
SUSE Linux Enterprise Server 12 SP4 php72 Affected
SUSE Linux Enterprise Server 12 SP4 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 php74 Affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 11 SP1 php5 Released
SUSE Linux Enterprise Desktop 11 SP2 php5 Released
SUSE Linux Enterprise Desktop 12 php5 Unsupported
SUSE Linux Enterprise Desktop 12 php7 Unsupported
SUSE Linux Enterprise Desktop 12 SP1 php5 Unsupported
SUSE Linux Enterprise Desktop 12 SP1 php7 Unsupported
SUSE Linux Enterprise Desktop 12 SP2 php5 Unsupported
SUSE Linux Enterprise Desktop 12 SP2 php7 Unsupported
SUSE Linux Enterprise Desktop 12 SP3 php5 Unsupported
SUSE Linux Enterprise Desktop 12 SP3 php7 Unsupported
SUSE Linux Enterprise Desktop 12 SP3 php72 Unsupported
SUSE Linux Enterprise Desktop 12 SP4 php5 Unsupported
SUSE Linux Enterprise Desktop 12 SP4 php7 Unsupported
SUSE Linux Enterprise Desktop 12 SP4 php72 Unsupported
SUSE Linux Enterprise Desktop 12 SP4 php74 Affected
SUSE Linux Enterprise Server 11 SP1 php5 Released
SUSE Linux Enterprise Server 11 SP1 LTSS php5 Affected
SUSE Linux Enterprise Server 11 SP2 php5 Released
SUSE Linux Enterprise Server 11 SP2 LTSS php5 Released
SUSE Linux Enterprise Server 12 php5 Affected
SUSE Linux Enterprise Server 12 php7 Affected
SUSE Linux Enterprise Server 12 php72 Affected
SUSE Linux Enterprise Server 12 php74 Affected
SUSE Linux Enterprise Server 12 SP1 php5 Unsupported
SUSE Linux Enterprise Server 12 SP1 php7 Unsupported
SUSE Linux Enterprise Server 12 SP2 php5 Unsupported
SUSE Linux Enterprise Server 12 SP2 php7 Unsupported
SUSE Linux Enterprise Server 12 SP3 php5 Affected
SUSE Linux Enterprise Server 12 SP3 php7 Affected
SUSE Linux Enterprise Server 12 SP3 php72 Affected
SUSE Linux Enterprise Server 12 SP3 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP1 php5 Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 php5 Released
SUSE Linux Enterprise Server for SAP Applications 12 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 php74 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 php5 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP1 php7 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 php5 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 php7 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php7 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php72 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 php74 Affected
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 php5 Released
SUSE Linux Enterprise Software Development Kit 11 SP1 php5 Released
SUSE Linux Enterprise Software Development Kit 11 SP2 php5 Released
SUSE Linux Enterprise Software Development Kit 12 php5 Unsupported
SUSE Linux Enterprise Software Development Kit 12 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP1 php5 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP1 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP2 php5 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP2 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 php5 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 php72 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 php5 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 php7 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 php72 Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 php74 Affected
Container Status
bci/php-apache:8
bci/php-fpm:8
bci/php:8
php8Already fixed


SUSE Timeline for this CVE

CVE page created: Tue Jul 9 19:19:18 2013
CVE page last modified: Tue Jun 6 11:20:08 2023